package org.bench4q.share.models.monitor;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

import org.bench4q.share.models.master.statistics.SampleModel;

@XmlRootElement
public class ProcessorModel extends SampleModel {
	private List<ProcessorModelChild> processorModelList;
	private double processorTimePercent;
	private double privilegedTimePercent;
	private double userTimePercent;
	private List<String> cpuInstanceList;
	private int size;

	@XmlElementWrapper(name = "processorlist")
	@XmlElement(name = "processor", type = ProcessorModelChild.class)
	public List<ProcessorModelChild> getProcessorModelList() {
		return processorModelList;
	}

	public void setProcessorModelList(
			List<ProcessorModelChild> processorModelList) {
		this.processorModelList = processorModelList;
	}

	@XmlElement
	public double getProcessorTimePercent() {
		return processorTimePercent;
	}

	public void setProcessorTimePercent(double processorTimePercent) {
		this.processorTimePercent = processorTimePercent;
	}

	@XmlElement
	public double getPrivilegedTimePercent() {
		return privilegedTimePercent;
	}

	public void setPrivilegedTimePercent(double privilegedTimePercent) {
		this.privilegedTimePercent = privilegedTimePercent;
	}

	@XmlElement
	public double getUserTimePercent() {
		return userTimePercent;
	}

	public void setUserTimePercent(double userTimePercent) {
		this.userTimePercent = userTimePercent;
	}


	@XmlElementWrapper(name = "instanceNameList")
	@XmlElement(name = "instanceName", type = String.class)
	public List<String> getCpuInstanceList() {
		return cpuInstanceList;
	}

	public void setCpuInstanceList(List<String> cpuInstanceList) {
		this.cpuInstanceList = cpuInstanceList;
	}

	@XmlElement
	public int getSize() {
		return size;
	}

	public void setSize(int size) {
		this.size = size;
	}

}